Notes
Get a note
Retrieves a specific note within the specified workspace (team_id).
The note is identified by the provided note_id and returned in the response.
GET
/
{team_id}
/
notes
/
{note_id}
Get a note
curl --request GET \
--url https://api.superthread.com/v1/{team_id}/notes/{note_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.superthread.com/v1/{team_id}/notes/{note_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.superthread.com/v1/{team_id}/notes/{note_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"note": {
"id": "",
"title": "Team Note",
"transcript": "<string>",
"transcripts": [
{
"content": "This is a transcript",
"id": "43",
"time_created": 1608742037016,
"time_updated": 1608742037016
}
],
"user_notes": "<string>",
"ai_notes": [
{
"id": "866a3b86-4651-482c-bb69-61921ea4548c",
"note_template_id": "1da3b68c-3a82-495c-a6c9-e7a494281a36",
"title": "Team Note",
"content": "<string>",
"time_updated": 1608742037016,
"related_resources": [
{
"id": "123",
"type": "card",
"cosine_similarity": 0.8
}
]
}
],
"user": {
"user_id": "uDsu0j19",
"type": "user",
"source": {
"type": "oauth",
"client_id": "oczapier",
"import_id": "bf1b9f76-3f95-42fc-bd7f-050b2f5f4197",
"agent_id": "bf1b9f76-3f95-42fc-bd7f-050b2f5f4197",
"email_addr": "somebody@example.com",
"email_verified": false,
"on_behalf_of": "<string>"
}
},
"user_updated": {
"user_id": "uDsu0j19",
"type": "user",
"source": {
"type": "oauth",
"client_id": "oczapier",
"import_id": "bf1b9f76-3f95-42fc-bd7f-050b2f5f4197",
"agent_id": "bf1b9f76-3f95-42fc-bd7f-050b2f5f4197",
"email_addr": "somebody@example.com",
"email_verified": false,
"on_behalf_of": "<string>"
}
},
"team_id": "tdsu0j19",
"last_note_template_id": "<string>",
"is_public": false,
"public_settings": {
"url": "https://notes.superthread.com/n/1"
},
"time_created": 1608742037016,
"time_updated": 1608742037016,
"meeting_metadata": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"links": [
{
"link": "<string>"
}
],
"location": "<string>",
"start_time": 1608742037016,
"end_time": 1608742037016
},
"meeting_date": 1608742037016,
"meeting_time": 1608742037016,
"meeting_organizer": {
"user_id": "uDsu0j19",
"email": "username@example.com",
"name": "John Doe"
},
"meeting_attendees": [
{
"user_id": "uDsu0j19",
"email": "username@example.com",
"name": "John Doe"
}
]
}
}{
"error": {
"id": "err5f744ab",
"code": 403,
"sec": "SEC:000-00014",
"message": "You do not have access to this resource",
"date": 1608742037016
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".
Note ID is a numerical string that identifies a Note.
Response
Note response
Show child attributes
Show child attributes
Previous
Get notesRetrieves all notes within the specified workspace (team_id).
This endpoint returns an array of notes visible to the current user, enabling a comprehensive
view of all accessible notes in the workspace.
Next
⌘I
Get a note
